<script>
export default {
    props: {
        'longInputID': String,
        'longInputName': String,
        'longInputValue': String
    },
    emits: ['update:longInputValue'],
    mounted() {
        if (this.longInputValue) {
            this.$emit('update:longInputValue', this.longInputValue);
        }
    }
}
</script>

<template>
    <textarea class="form-control" :id="longInputID" :name="longInputName"
    :value="longInputValue"
    @input="$emit('update:longInputValue', $event.target.value)"></textarea>
</template>